summaryrefslogtreecommitdiff
path: root/build-aux/appveyor-install.sh
diff options
context:
space:
mode:
authorReuben Thomas <rrt@sc3d.org>2017-02-08 22:24:36 +0000
committerGitHub <noreply@github.com>2017-02-08 22:24:36 +0000
commit7c0ec265a89808893a692f6205f2555f30198444 (patch)
tree5f614d77d97356f9b946dec90bace4953ab03c92 /build-aux/appveyor-install.sh
parente92045d3c46eaaa41ec4ed237a0887d097734ae0 (diff)
parent730e6bf5a0eea0b00565f0f8875c4a0618f4c675 (diff)
downloadenchant-7c0ec265a89808893a692f6205f2555f30198444.tar.gz
Merge pull request #74 from rrthomas/masterenchant-1-6-1
Fix tests on Windows and add Windows CI via Appveyor
Diffstat (limited to 'build-aux/appveyor-install.sh')
-rwxr-xr-xbuild-aux/appveyor-install.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/build-aux/appveyor-install.sh b/build-aux/appveyor-install.sh
new file mode 100755
index 0000000..e24836a
--- /dev/null
+++ b/build-aux/appveyor-install.sh
@@ -0,0 +1,12 @@
+#!/bin/sh
+# Pre-install script for appveyor
+
+pacman --noconfirm -S glib2-devel
+wget http://repo.msys2.org/mingw/x86_64/mingw-w64-x86_64-hunspell-en-2016.11.20-2-any.pkg.tar.xz
+pacman --noconfirm -U mingw-w64-x86_64-hunspell-en-2016.11.20-2-any.pkg.tar.xz
+wget https://github.com/hunspell/hunspell/archive/v1.6.0.tar.gz
+tar zxvf v1.6.0.tar.gz || true # Error in unpacking (symlink README before file README.md)
+cd hunspell-1.6.0 && ln -s README.md README && autoreconf -vfi && ./configure --prefix=/usr && make && make install
+wget https://github.com/unittest-cpp/unittest-cpp/releases/download/v1.6.1/unittest-cpp-1.6.1.tar.gz
+tar zxvf unittest-cpp-1.6.1.tar.gz
+cd unittest-cpp-1.6.1 && ./configure --prefix=/usr && make && make install